      SUBROUTINE SETDAT(IO)
C   ==================================================================
C   ===                                                            ===
C   ===    This subroutine finds time and date and stores in       ===
C   ===                  character variable DATE                   ===
C   ===                                                            ===
C   ===    ATTENTION - non-standard intrinsic function FDATE       ===
C   ===               SUN-UNIX, SUPRENUM, CS Tools                 ===
C   ===                                                            ===
C   ===                       vsg - May, 92                        ===
C   ==================================================================

CC-non-standard
      EXTERNAL FDATE
      CHARACTER  BUF *30, FDATE *24

CC-non-standard
      BUF = FDATE()

      WRITE(IO,*)'   This run started ',BUF

      END
